"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getChangelogYML = exports.getDefaultBranch = void 0;
const getDefaultBranch = async (octokit, owner, repo) => {
    const { data } = await octokit.repos.get({
        owner,
        repo,
    });
    return data.default_branch;
};
exports.getDefaultBranch = getDefaultBranch;
const getChangelogYML = async (owner, repo, branch, octokit) => {
    var _a, _b;
    const branchResponse = await octokit.repos.getBranch({
        owner,
        repo,
        branch,
    });
    const { sha: commitSha } = branchResponse.data.commit;
    const versionbotTreeResponse = await octokit.git.getTree({
        owner,
        repo,
        tree_sha: commitSha,
    });
    const versionbotSha = (_a = versionbotTreeResponse.data.tree.find((item) => item.path === '.versionbot')) === null || _a === void 0 ? void 0 : _a.sha;
    const changelogTreeResponse = await octokit.git.getTree({
        owner,
        repo,
        tree_sha: versionbotSha,
    });
    const changelogSha = (_b = changelogTreeResponse.data.tree.find((item) => item.path === 'CHANGELOG.yml')) === null || _b === void 0 ? void 0 : _b.sha;
    const blobResponse = await octokit.git.getBlob({
        owner,
        repo,
        file_sha: changelogSha,
    });
    return blobResponse.data.content;
};
exports.getChangelogYML = getChangelogYML;
//# sourceMappingURL=github.js.map