'use strict';
module.exports = {
  subjectParser: 'angular',
  editVersion: false,
  addEntryToChangelog: 'prepend',
  includeCommitWhen: (commit) => {
    return commit.footer['Changelog-Entry'];
  },
  getIncrementLevelFromCommit: (commit) => {
    return commit.footer['Change-Type'];
  },
  template: [
    '## {{version}} {{title}}',
    '',
    '{{#each commits}}',
    '{{#with footer}}',
    '- {{capitalize Changelog-Entry}}',
    '{{/with}}',
    '{{/each}}'
  ].join('\n')
};

